- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Updates a framework deployment.
HTTP request
PATCH https://cloudsecuritycompliance.googleapis.com/v1/{frameworkDeployment.name=projects/*/locations/*/frameworkDeployments/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
frameworkDeployment.name |
Identifier. The name of the framework deployment, in the format |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Include the fields that you want to overwrite in the field mask. Specify fields relative to the resource, not the full request. If you don't provide a mask, then all fields are overwritten. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of FrameworkDeployment.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
cloudsecuritycompliance.frameworkDeployments.update
For more information, see the IAM documentation.